Overview | Package | Class | Tree | Deprecated | Index | Help
| Oracle Data Mining Java API Reference 10g Release 2 (10.2) B14341-02
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## oracle.dmt.jdm.task
Interface OraExplainTask

All Superinterfaces:
  javax.datamining.MiningObject, javax.datamining.base.Task

public interface OraExplainTask
extends javax.datamining.base.Task

`OraExplainTask` is used to identify columns that are important for explaining the variation of a column of interest.
This task analyzes the input table, performs data preprocessing, builds a model, analyzes the model to identify key columns, and creates a result table listing the important columns and quantifying the explanatory power of each important column.

Method Summary
`java.lang.String` | `getExplainAttributeName()` Returns the explain column
`java.lang.String` | `getInputData()` Returns the input data URI of the Explain.
`java.lang.String` | `getOutputData()` Returns the output data URI.
`void` | `setExplainAttributeName(java.lang.String explainAttributeName)` Sets the explain attribute name to be used for Explain.
`void` | `setInputData(java.lang.String dataURI)` Set the input data URI of the Explain.
`void` | `setOutputData(java.lang.String dataURI)` Sets the output data URI of the Explain.

Methods inherited from interface javax.datamining.base.Task
`getExecutionHandle, verify`

Methods inherited from interface javax.datamining.MiningObject
`getCreationDate, getCreatorInfo, getDescription, getName, getObjectIdentifier, getObjectType, setDescription`

Method Detail

### getInputData

    public java.lang.String getInputData()

  Returns the input data URI of the Explain.
  Returns:
    String input data URI

### setInputData

    public void setInputData(java.lang.String dataURI)

  Set the input data URI of the Explain.
  Parameters:
    `dataURI` - input data URI

### getOutputData

    public java.lang.String getOutputData()

  Returns the output data URI.
  Returns:
    String output data URI

### setOutputData

    public void setOutputData(java.lang.String dataURI)

  Sets the output data URI of the Explain.
  Parameters:
    `dataURI` - ourput data URI

### setExplainAttributeName

    public void setExplainAttributeName(java.lang.String explainAttributeName)

  Sets the explain attribute name to be used for Explain.

### getExplainAttributeName

    public java.lang.String getExplainAttributeName()

  Returns the explain column

Overview | Package | Class | Tree | Deprecated | Index | Help
| Oracle Data Mining Java API Reference 10g Release 2 (10.2) B14341-02
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2005, Oracle. All rights reserved.